View Issue Details

IDProjectCategoryView StatusLast Update
0003457GNUnetHTTP transportpublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003457: http client shutdown logic is rather convoluted and possibly broken
DescriptionThere are various cases that seem duplicated in the logic, and in at least one branch of the code I do not see where an 'easy' handle is removed from the 'multi' handle of CURL (FIXME added).

The code should be investigated a bit more and likely cleaned up / fixed.
TagsNo tags attached.

Activities

Matthias Wachs

2014-07-03 14:11

manager   ~0008500

Fixed in revision 33907.

Issue History

Date Modified Username Field Change
2014-06-25 14:47 Christian Grothoff New Issue
2014-06-25 14:47 Christian Grothoff Status new => assigned
2014-06-25 14:47 Christian Grothoff Assigned To => Matthias Wachs
2014-07-03 14:11 Matthias Wachs Note Added: 0008500
2014-07-03 14:11 Matthias Wachs Status assigned => resolved
2014-07-03 14:11 Matthias Wachs Resolution open => fixed
2014-09-30 10:33 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:33 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed